## org.gnu.gtk
Class DirectionType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.DirectionType

public class DirectionType
extends org.gnu.glib.Enum

Field Summary
`static DirectionType` `DOWN`
`static DirectionType` `LEFT`
`static DirectionType` `RIGHT`
`static DirectionType` `TAB_BACKWARD`
`static DirectionType` `TAB_FORWARD`
`static DirectionType` `UP`

Method Summary
`DirectionType` `and(DirectionType other)`
`static DirectionType` `intern(int value)`
`DirectionType` `or(DirectionType other)`
`boolean` `test(DirectionType other)`
`DirectionType` `xor(DirectionType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAB_FORWARD

    public static final DirectionType TAB_FORWARD

### TAB_BACKWARD

    public static final DirectionType TAB_BACKWARD

### UP

    public static final DirectionType UP

### DOWN

    public static final DirectionType DOWN

### LEFT

    public static final DirectionType LEFT

### RIGHT

    public static final DirectionType RIGHT

Method Detail

### intern

    public static DirectionType intern(int value)

### or

    public DirectionType or(DirectionType other)

### and

    public DirectionType and(DirectionType other)

### xor

    public DirectionType xor(DirectionType other)

### test

    public boolean test(DirectionType other)